< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs102
  Definition Classes
    accounts
-  package boxes
  Definition Classes
    frs102
-  package loansToDirectors
  Definition Classes
    boxes
-  package relatedPartyTransactions
  Definition Classes
    boxes
- AC106
- AC106A
- AC107
- AC114
- AC114A
- AC114B
- AC115
- AC115A
- AC115B
- AC116
- AC116A
- AC116B
- AC117
- AC117A
- AC117B
- AC118
- AC118A
- AC118B
- AC119
- AC119A
- AC119B
- AC120
- AC120A
- AC120B
- AC121
- AC121A
- AC121B
- AC122
- AC122A
- AC122B
- AC123
- AC123A
- AC123B
- AC124
- AC124A
- AC124B
- AC124C
- AC124D
- AC124E
- AC125
- AC125A
- AC125B
- AC125C
- AC125D
- AC125E
- AC126
- AC126A
- AC126B
- AC126C
- AC126D
- AC126E
- AC127
- AC127A
- AC127B
- AC127C
- AC127D
- AC127E
- AC128
- AC128A
- AC128B
- AC128C
- AC128D
- AC128E
- AC129
- AC129A
- AC129B
- AC129C
- AC129D
- AC129E
- AC130
- AC130A
- AC130B
- AC130C
- AC130D
- AC130E
- AC131
- AC131A
- AC131B
- AC131C
- AC131D
- AC131E
- AC132
- AC132A
- AC132B
- AC132C
- AC132D
- AC132E
- AC133
- AC133A
- AC133B
- AC133C
- AC133D
- AC133E
- AC134
- AC135
- AC136
- AC137
- AC138
- AC138B
- AC139
- AC139B
- AC140
- AC141
- AC142
- AC143
- AC144
- AC145
- AC146
- AC147
- AC148
- AC149
- AC150
- AC150B
- AC151
- AC151B
- AC152
- AC153
- AC154
- AC155
- AC156
- AC157
- AC158
- AC159
- AC160
- AC161
- AC162
- AC163
- AC18
- AC187
- AC188
- AC189
- AC19
- AC190
- AC20
- AC200
- AC200A
- AC209
- AC209A
- AC209B
- AC21
- AC210
- AC210A
- AC210B
- AC211
- AC211A
- AC211B
- AC212
- AC212A
- AC212B
- AC212C
- AC212D
- AC212E
- AC213
- AC213A
- AC213B
- AC213C
- AC213D
- AC213E
- AC214
- AC214A
- AC214B
- AC214C
- AC214D
- AC214E
- AC217
- AC219
- AC22
- AC23
- AC26
- AC27
- AC28
- AC29
- AC30
- AC31
- AC32
- AC320
- AC320A
- AC321
- AC322
- AC323
- AC324
- AC33
- AC34
- AC35
- AC36
- AC37
- AC42
- AC43
- AC44
- AC45
- AC48
- AC49
- AC50
- AC5032
- AC5052A
- AC5052B
- AC5052C
- AC5058A
- AC5064A
- AC5076C
- AC51
- AC5123
- AC5133
- AC52
- AC53
- AC54
- AC55
- AC56
- AC57
- AC58
- AC59
- AC60
- AC61
- AC62
- AC63
- AC64
- AC65
- AC66
- AC67
- AC68
- AC69
- AC70
- AC71
- AC7100
- AC7110A
- AC7200
- AC7210
- AC7210A
- AC7210B
- AC7300
- AC74
- AC7400
- AC7401
- AC75
- AC7500
- AC76
- AC7600
- AC7601
- AC77
- AC7800
- AC7900
- AC7901
- AC80
- AC8084
- AC8085
- AC81
- ACQ5021
- ACQ5022
- ACQ5031
- ACQ5032
- ACQ5033
- ACQ5034
- ACQ5035

c

uk.gov.hmrc.ct.accounts.frs102.boxes

# AC200A 

###

#### case class AC200A(value: Option[Boolean]) extends CtBoxIdentifier with CtOptionalBoolean with Input with SelfValidatableBox[Frs102AccountsBoxRetriever, Option[Boolean]] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, SelfValidatableBox[Frs102AccountsBoxRetriever, Option[Boolean]], ValidatableBox[Frs102AccountsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalBoolean, OptionalCtValue[Boolean], CtValue[Option[Boolean]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC200A
2. Serializable
3. Serializable
4. Product
5. Equals
6. SelfValidatableBox
7. ValidatableBox
8. ExtraValidation
9. Validators
10. Input
11. CtOptionalBoolean
12. OptionalCtValue
13. CtValue
14. CtBoxIdentifier
15. AnyRef
16. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AC200A(value: Option[Boolean])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  def asBoolean: Option[Boolean]
   Definition Classes
     CtOptionalBoolean
7.  def asBoxString: Option[String]
   Definition Classes
     CtValue
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     ValidatableBox
10.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
11.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
12.  implicit def box2OptionalBigDecimalIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBigDecimalIdBox
    Definition Classes
      SelfValidatableBox
13.  implicit def box2OptionalBooleanIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBooleanIdBox
    Definition Classes
      SelfValidatableBox
14.  implicit def box2OptionalDateIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalDateIdBox
    Definition Classes
      SelfValidatableBox
15.  implicit def box2OptionalIntIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalIntIdBox
    Definition Classes
      SelfValidatableBox
16.  implicit def box2OptionalStringIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalStringIdBox
    Definition Classes
      SelfValidatableBox
17.  implicit def box2StringIdBox(box: CtValue[_] with CtBoxIdentifier): StringIdBox
    Definition Classes
      SelfValidatableBox
18.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
19.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
21.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
22.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
23.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
25.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED, errorMsg: String = "exceeds.max")(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
26.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
27.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
28.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
30.  def id: String
    Definition Classes
      CtBoxIdentifier
31.  def inverse: Option[Boolean]
    Definition Classes
      CtOptionalBoolean
32.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
33.  def isFalse: Boolean
    Definition Classes
      CtOptionalBoolean
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  def isTrue: Boolean
    Definition Classes
      CtOptionalBoolean
36.  val name: String
    Definition Classes
      CtBoxIdentifier
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
39.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
40.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  def orFalse: Boolean
    Definition Classes
      CtOptionalBoolean
43.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
44.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
45.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
46.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
47.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
48.  def validate(boxRetriever: Frs102AccountsBoxRetriever): Set[CtValidation]
    Definition Classes
      AC200A → ValidatableBox
49.  def validateAllFilledOrEmptyStrings(allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
50.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
51.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
52.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
53.  def validateAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
54.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
55.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
56.  def validateBooleanAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
57.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
58.  def validateBooleanAsTrue()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
59.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
60.  def validateCoHoStringReturnIllegalChars(value: String, errorCodeBoxId: Option[String])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
61.  def validateCoHoStringReturnIllegalChars()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
62.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
63.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
64.  def validateCohoNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
65.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
66.  def validateCohoOptionalNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
67.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
68.  def validateDateAsAfter(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
69.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
70.  def validateDateAsBefore(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
71.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
72.  def validateDateAsBetweenInclusive(date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
73.  def validateDateAsBetweenInclusive(minDate: LocalDate, maxDate: LocalDate)()(implicit ev: <:<[Option[Boolean], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
74.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
75.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
76.  def validateDateAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
77.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
78.  def validateDateAsMandatory(date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
79.  def validateDateAsMandatory()()(implicit ev: <:<[Option[Boolean], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
80.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
81.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
82.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
    Definition Classes
      ExtraValidation
83.  def validateIntegerAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
84.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
85.  def validateIntegerAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
86.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
87.  def validateIntegerRange(min: Int = 0, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
88.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
89.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
90.  def validateNotEmptyStringByLength(value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
91.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
92.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
93.  def validateOptionalIntegerAsEqualTo(equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
94.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
95.  def validateOptionalIntegerLessOrEqualBox(other: CtBoxIdentifier with CtOptionalInteger)()(implicit ev: <:<[Option[Boolean], Option[Int]]): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
96.  def validateOptionalStringByLength(min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
97.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
98.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
99.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
100.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
101.  def validateOptionalStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
102.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
103.  def validatePositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
104.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
105.  def validatePositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
106.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
107.  def validatePostcode(boxId: String)()(implicit ev: <:<[Option[Boolean], Option[String]]): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
108.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
109.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
     Definition Classes
       ExtraValidation
110.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
111.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
112.  def validateRawStringByRegex(value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
113.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
114.  def validateStringAsBlank()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
115.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
116.  def validateStringAsMandatory()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
117.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
118.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
119.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
120.  def validateStringAsMandatoryWithNoTrailingWhitespace()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
121.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
122.  def validateStringByLength(value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
123.  def validateStringByLength(min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
124.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
125.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
126.  def validateStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
127.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
128.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
129.  def validateStringMaxLength(value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
130.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
131.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
132.  def validateZeroOrPositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
133.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
134.  def validateZeroOrPositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
135.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
136.  def validateZeroOrPositiveInteger(boxId: String, value: Option[Int]): Set[CtValidation]
     Definition Classes
       ExtraValidation
137.  val validationSuccess: Set[CtValidation]
     Definition Classes
       ValidatableBox
138.  val value: Option[Boolean]
     Definition Classes
       AC200A → CtValue
139.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
140.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
141.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SelfValidatableBox[Frs102AccountsBoxRetriever, Option[Boolean]]

### Inherited from ValidatableBox[Frs102AccountsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalBoolean

### Inherited from OptionalCtValue[Boolean]

### Inherited from CtValue[Option[Boolean]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped